Support » Plugin: All-in-One Event Calendar » Plugin cannot be activated because of fatal error

  • Resolved johaninsideout

    (@johaninsideout)


    Hello, I’ve been using the All In One Calendar plugin for several years now, and have sudden;y started receiving this message –

    Plugin could not be activated because it triggered a fatal error.
    Parse error: syntax error, unexpected T_FUNCTION, expecting ‘)’ in /home4/jenkint3/public_html/wp-content/plugins/all-in-one-event-calendar/lib/iCal/iCalcreator-2.24.2/autoload.php on line 47

    I am now unable to activate the plug-in. Can you please help me resolve this? I have tried uninstalling and re-installing the plug-in with a freshly downloaded install zip as well, no luck.

    Thanks so much for your time.

    The page I need help with: [log in to see the link]

Viewing 1 replies (of 1 total)
  • Plugin Author Benjamin

    (@bsokic)

    Hi @johaninsideout,

    There was a mandatory update to the iCal creator class in our plugin (a 3rd party class that powers the imports feeds), which now only supports PHP 5.4 and up.

    We recommend using PHP 5.6 as a minimum, so please upgrade your hosting provider’s PHP to a newer version and it will fix the issue.

    Best regards,
    Ben

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.